# Dokumentation für das Metadatenschema

## Feld `contactInformation.e-mail.pgpPublicKey`

Der Inhalt des Feldes ist ein durch `gpg --export --armor "$KEY_ID"` erzeugter ASCII-String
in dem Zeilenumbrüche durch die Escape-Sequenz (`\n`) ersetzt wurden.

Die Kodierung erfolgt wie folgt:

```
$ KEY_ID='EEADEDE070FA9658F0BE084AC20D38DB3EA14B59'
$ gpg --export --armor "$KEY_ID" | python3 -c 'import sys; print(sys.stdin.read().replace("\n", "\\n"))'
-----BEGIN PGP PUBLIC KEY BLOCK-----\n\nmQINBEBEADSlS<snip>9jlG\n-----END PGP PUBLIC KEY BLOCK-----\n
```

Die Dekodierung ist obiger Schritt in Gegenrichtung:

```
$ KEY_ASCII='-----BEGIN PGP PUBLIC KEY BLOCK-----\n\nmQINBEBEADSlS<snip>9jlG\n-----END PGP PUBLIC KEY BLOCK-----\n'
$ echo "$KEY_ASCII" | python3 -c 'import sys; print(sys.stdin.read().replace("\\n", "\n"))'
-----BEGIN PGP PUBLIC KEY BLOCK-----

mQINBEBEADSlS<snip>9jlG
-----END PGP PUBLIC KEY BLOCK-----

```

Möchte man den eben ausgegeneben Schlüssel auch direkt importieren kann man hinter dem Dekodierungssnippet noch ein `| pgp --import` setzen.
